@import '_fonts.css';
@import '_variables.css';
@import '_common.css';

main {
    padding: 2rem;
    height:100vh;
}

main > header {
    padding-top: 1px;
}

main > footer {
    font-size: .85rem;
}

main > footer a,
main > article a {
    color: black;
    text-decoration: none;
    border-bottom: 1px solid transparent;
    -webkit-transition: border .3s ease-in-out;
    -o-transition: border .3s ease-in-out;
    transition: border .3s ease-in-out;
}

main > footer a:hover {
    border-bottom: 1px solid black;
}

main > article a {
    color: var(--secondary-color);
}

main > article a:hover {
    border-bottom: 1px solid var(--secondary-color);
}

main > article h1 {
    font-weight: 300;
    font-size: 4rem;

    margin-top: 0;
    line-height: 1.15;
}

main > article h1::after {
    content: '';
    margin-top: 1rem;
    display: block;
    height: 4px;
    width: 3rem;
    background: var(--primary-color);
}

body {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: reverse;
        -ms-flex-direction: column-reverse;
            flex-direction: column-reverse;
    overflow-x: hidden;
    width: 100vw;
}

body > aside {
    height: 30vh;
    overflow: hidden;
}

body > aside ul {
    list-style: none;
    padding: 0;
    margin: 0;
    position: relative;
}


body > aside li {
    position: absolute;
    top:0;
    display: block;
    width: 100%;
    height: 100vh;
    opacity: 0;
    -webkit-transform: scale(1.4);
        -ms-transform: scale(1.4);
            transform: scale(1.4);
    -webkit-transition: all 2.5s ease-in-out;
    -o-transition: all 2.5s ease-in-out;
    transition: all 2.5s ease-in-out;
    background-size: cover;
    background-position: center;
}

body > aside li.active {
    opacity: 1;
    -webkit-transform: scale(1);
        -ms-transform: scale(1);
            transform: scale(1);
}


@media only screen and (min-width: 720px){

    body {
        height: 100vh;
    }

    body > aside {
        height: 100vh;
        position: fixed;
        width: 50%;
        right: 0;
    }

    body > aside img {
        height: 100vh;
    }

    main {
        padding: 2rem;
        width:50%;
    }

    main > article {
        margin-top: auto;
        margin-bottom: auto;
    }
}


@media only screen and (min-width: 960px){

    #imprint p {
        font-size: .8rem;
    }
}